---
id: OrdersService
version: 0.0.2
name: Orders Service
summary: |
  Service that handles orders
owners:
  - dboyne
receives:
  - id: InventoryAdjusted
    version: 1.0.1
    from:
      - id: 'inventory.{env}.events'
sends:
  - id: AddInventory
    version: 0.0.3
    to:
      - id: 'inventory.{env}.events'
        parameters:
          env: staging
repository:
  language: JavaScript
  url: 'https://github.com/event-catalog/pretend-shipping-service'
schemaPath: openapi.yml
specifications:
  asyncapiPath: order-service-asyncapi.yaml
  openapiPath: openapi.yml
---

import Footer from '@catalog/components/footer.astro';

## Overview

The Orders Service is responsible for managing customer orders within the system. It handles order creation, updating, status tracking, and interactions with other services such as Inventory, Payment, and Notification services to ensure smooth order processing and fulfillment.

## Architecture diagram

<NodeGraph />

<Footer />
